### Method

# FwupdPlugin Firmware parse_stream

#### Declaration [src]

    gboolean
    fu_firmware_parse_stream (
      FuFirmware* self,
      GInputStream* stream,
      gsize offset,
      guint64 flags,
      GError** error
    )

#### Description [src]

Parses a firmware from a stream, typically breaking the firmware into images.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| Input stream.
| The data is owned by the caller of the function.
`offset` | `gsize`
| Start offset.
`flags` | `guint64`
| `FuFirmwareParseFlags`, e.g. `FWUPD_INSTALL_FLAG_FORCE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.